Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.sitemap.component
Class FileReaderComponent

    java.lang.Object
      org.apache.cocoon.pipeline.component.AbstractPipelineComponent
          org.apache.cocoon.sitemap.component.AbstractReader
              org.apache.cocoon.sitemap.component.FileReaderComponent

All Implemented Interfaces:
  CachingPipelineComponent, Finisher, PipelineComponent, Starter

    public class FileReaderComponent

extends AbstractReader
implements CachingPipelineComponent

Field Summary

Fields inherited from class org.apache.cocoon.sitemap.component.AbstractReader
`mimeType, outputStream, source`

Constructor Summary
`FileReaderComponent()`
`FileReaderComponent(URL source)`

Method Summary
`CacheKey` | `constructCacheKey()`
`void` | `execute()`
`String` | `getContentType()`
`String` | `toString()`

Methods inherited from class org.apache.cocoon.sitemap.component.AbstractReader
`setConfiguration, setMimeType, setOutputStream, setSource`

Methods inherited from class org.apache.cocoon.pipeline.component.AbstractPipelineComponent
`finish, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.pipeline.component.PipelineComponent
`finish, setup`

Methods inherited from interface org.apache.cocoon.pipeline.component.PipelineComponent
`finish, setup`

Constructor Detail

### FileReaderComponent

    public FileReaderComponent()

### FileReaderComponent

    public FileReaderComponent(URL source)

Method Detail

### constructCacheKey

    public CacheKey constructCacheKey()

  Specified by:
    `constructCacheKey` in interface `CachingPipelineComponent`
  See Also:
    `CachingPipelineComponent.constructCacheKey()`

### execute

    public void execute()

  Specified by:
    `execute` in interface `Starter`
  See Also:
    `Starter.execute()`

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `Finisher`
  See Also:
    `Finisher.getContentType()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.